Geetting an unknown error trying to install a .wad

Discussion in 'Wii - Hacking' started by Hammer_525, Mar 16, 2015.

  1. Hammer_525
    OP

    Hammer_525 Newbie

    Newcomer
    4
    0
    Mar 16, 2015
    United States
    So, I've been trying to install a .wad for the N64 VC version of Paper Mario, but no matter what .wad installing program I use (I've used Pimp my Wii, YAWMM, and WAD Manager 1.7), I keep getting this same error:

    Install content #00... ERROR! (ret = -1022)​

    I've seen some people with similar errors, where the number after "ret" is -1024 or -2011, but I haven't found this one specifically except for a single thread I was linked to from a Redditor after I posted my problem in a subreddit there. Unfortunately none of the solutions in that thread work, and now I'm stumped.

    I have IOS249, IOS236, IOS2244, and the Trucha bug installed correctly as far as I know. I tried using IOS36, IOS38, IOS222, IOS236, IOS249, and IOS250 as the IOS to use in WAD Manager, but none of them have given me any luck. I did see a solution that might work, although I was unsure how to do it.

    Some others in the GBATemp threads I was linked suggested trying to reinstall an IOS using cIOS Installer (which I used to install IOS249) using IOS38 as the base. To do that, what do I do exactly? I have a base IOS version available named IOS38 v4123, is that the IOS they're referring to? If so, which IOS version do I need to choose for the installation and which IOS installation slot do I need to choose?
     
  2. Hammer_525
    OP

    Hammer_525 Newbie

    Newcomer
    4
    0
    Mar 16, 2015
    United States
    Figured out the issue, it was with the .wad. I used wwPacker's JustSign batch script to Trucha sign it, then I went into Multi-Mod Manager's WAD manager, "uninstalled" it (even though it wasn't installed on my console), then installed it, and now it's working perfectly. Hope that helps anyone who encounters this error in the future!